Subject: Re: bug#76235: [PATCH] Improve prompt for 'project-switch-project'

From: Juri Linkov <[email-masked]>
Date: Thu, 13 Feb 2025 09:03:30 +0200

>> Improved prompt for 'project-switch-project' now displays the chosen 
>> project on which to invoke a command. The prompt now reads "Command for 
>> project "xxx": " vs "Choose: " which never read well to me.
>
> Thanks for the suggestion - I see the problem it aims to address.
>
> One minor problem is that the "menu" becomes less stable horizontally, 
> moving right or left depending on the directory name's length.
>
> Not sure if an ideal solution is possible, but here's a tweak with a 
> shorter prompt. WDYT?

Instead of project--switch-project-command, I'm using
project-prefix-or-any-command that already has
the project root in the prompt "[execute in %s]:".
So it's nice that project--switch-project-command
will have the same.